elm::prefs Struct Reference

Public Member Functions
elm::prefs Struct Reference

Class prefs. More...

## Public Member Functions
| prefs (Eo *eo)
| Eo Constructor. More...
| prefs (std::nullptr_t)
| nullptr_t Constructor. More...
| prefs (prefs const &other)
| Copy Constructor.
void | reset (Elm_Prefs_Reset_Mode mode_) const
bool | item_value_set (::efl::eina::string_view name_, const Eina_Value *value_) const
bool | item_value_get (::efl::eina::string_view name_, Eina_Value *value_) const
::evas::object | item_object_get (::efl::eina::string_view name_) const
void | item_disabled_set (::efl::eina::string_view name_, bool disabled_) const
bool | item_disabled_get (::efl::eina::string_view name_) const
bool | item_swallow (::efl::eina::string_view name_, ::evas::object child_) const
void | item_editable_set (::efl::eina::string_view name_, bool editable_) const
bool | item_editable_get (::efl::eina::string_view name_) const
::evas::object | item_unswallow (::efl::eina::string_view name_) const
void | item_visible_set (::efl::eina::string_view name_, bool visible_) const
bool | item_visible_get (::efl::eina::string_view name_) const
| prefs (::efl::eo::parent_type _p)
| Constructs a new elm::prefs object. More...

## Detailed Description

Class prefs.

## Constructor & Destructor Documentation

## ◆ prefs() [1/3]

elm::prefs::prefs | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::prefs object.

Constructs a new elm::prefs object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::prefs my_prefs(efl::eo::parent = parent_object);

See also
  prefs(Eo* eo)

## ◆ prefs() [2/3]

elm::prefs::prefs | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ prefs() [3/3]

elm::prefs::prefs | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_disabled_get()

bool elm::prefs::item_disabled_get | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

## ◆ item_disabled_set()

void elm::prefs::item_disabled_set | ( | ::efl::eina::string_view | name_,
|  | bool | disabled_
| ) |  | const

Parameters

  name |
  disabled |

## ◆ item_editable_get()

bool elm::prefs::item_editable_get | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

## ◆ item_editable_set()

void elm::prefs::item_editable_set | ( | ::efl::eina::string_view | name_,
|  | bool | editable_
| ) |  | const

Parameters

  name |
  editable |

## ◆ item_object_get()

::evas::object elm::prefs::item_object_get | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

## ◆ item_swallow()

bool elm::prefs::item_swallow | ( | ::efl::eina::string_view | name_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  name |
  child |

## ◆ item_unswallow()

::evas::object elm::prefs::item_unswallow | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

## ◆ item_value_get()

bool elm::prefs::item_value_get | ( | ::efl::eina::string_view | name_,
|  | Eina_Value * | value_
| ) |  | const

Parameters

  | name |
  [out] | value |

## ◆ item_value_set()

bool elm::prefs::item_value_set | ( | ::efl::eina::string_view | name_,
|  | const Eina_Value * | value_
| ) |  | const

Parameters

  name |
  value |

## ◆ item_visible_get()

bool elm::prefs::item_visible_get | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

## ◆ item_visible_set()

void elm::prefs::item_visible_set | ( | ::efl::eina::string_view | name_,
|  | bool | visible_
| ) |  | const

Parameters

  name |
  visible |

## ◆ reset()

void elm::prefs::reset | ( | Elm_Prefs_Reset_Mode | mode_ | ) | const

Parameters

  mode |